View Issue Details

IDProjectCategoryView StatusLast Update
0003592GNUnetset servicepublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003592: set service causes assertion failure at client.c:1211 during shutdown
DescriptionIn fact, I get several in a row:


^CDec 24 00:33:13-807128 set-2098 ERROR Assertion failed at client.c:1211.
Dec 24 00:33:13-863667 set-2098 ERROR Assertion failed at client.c:1211.
Dec 24 00:33:13-864993 set-2098 ERROR Assertion failed at client.c:1211.
Dec 24 00:33:13-866549 set-2098 ERROR Assertion failed at client.c:1211.
TagsNo tags attached.

Activities

Christian Grothoff

2014-12-24 00:39

manager   ~0008729

This assertion is triggered if GNUNET_CLIENT_notify_transmit_ready() is called a second time even though the first one did not complete.

Makes me wonder if libgnunetutil might be falsely not resetting 'client->th' on shutdown, or if this is really an error handling issue in some (library) used by set (as it is client.c, it is almost certainly not the set service itself; a good suspects might be libgnuentcadet).

amatus

2015-01-02 19:43

developer   ~0008749

I'm seeing this soon after starting gnunet, not during shutdown.

Jan 02 13:34:35-730413 set-29447 ERROR Assertion failed at client.c:1211.
Jan 02 13:34:53-561882 set-29447 ERROR Assertion failed at client.c:1211.
Jan 02 13:35:13-310424 set-29447 WARNING other peer disconnected prematurely
Jan 02 13:35:13-310644 set-29447 WARNING other peer disconnected prematurely
Jan 02 13:35:13-310870 revocation-29436 WARNING Error computing revocation set union with GN10
Jan 02 13:35:13-311103 revocation-29436 WARNING Error computing revocation set union with 74YT
Jan 02 13:36:12-416799 set-29447 ERROR Assertion failed at client.c:1211.
Jan 02 13:36:33-452070 set-29447 WARNING other peer disconnected prematurely
Jan 02 13:36:33-452345 revocation-29436 WARNING Error computing revocation set union with DZ8N
Jan 02 13:37:27-136683 set-29447 ERROR Assertion failed at client.c:1211.
Jan 02 13:37:29-456893 set-29447 ERROR Assertion failed at client.c:1211.
Jan 02 13:37:53-599348 set-29447 WARNING other peer disconnected prematurely
Jan 02 13:37:53-599414 set-29447 WARNING other peer disconnected prematurely
Jan 02 13:37:53-599510 revocation-29436 WARNING Error computing revocation set union with 4KA1
Jan 02 13:37:53-599566 revocation-29436 WARNING Error computing revocation set union with 74YT
Jan 02 13:40:12-462677 set-29447 ERROR Assertion failed at client.c:1211.
Jan 02 13:40:13-772607 set-29447 ERROR Assertion failed at client.c:1211.

Christian Grothoff

2017-02-26 02:25

manager   ~0011859

Can't be like this anymore, after all, set API no longer uses NTR but now MQ-style communication.

Issue History

Date Modified Username Field Change
2014-12-24 00:36 Christian Grothoff New Issue
2014-12-24 00:36 Christian Grothoff Status new => assigned
2014-12-24 00:36 Christian Grothoff Assigned To => Florian Dold
2014-12-24 00:39 Christian Grothoff Note Added: 0008729
2014-12-24 00:40 Christian Grothoff Assigned To Florian Dold =>
2014-12-24 00:40 Christian Grothoff Status assigned => confirmed
2015-01-02 19:43 amatus Note Added: 0008749
2015-03-21 00:37 Christian Grothoff Target Version => 0.11.0
2017-02-26 02:25 Christian Grothoff Assigned To => Christian Grothoff
2017-02-26 02:25 Christian Grothoff Status confirmed => resolved
2017-02-26 02:25 Christian Grothoff Resolution open => fixed
2017-02-26 02:25 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-26 02:25 Christian Grothoff Note Added: 0011859
2017-02-26 02:25 Christian Grothoff Target Version 0.11.0 => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed